%define patch_name kernel-fix-security

Name: %patch_name
Version: 2005.08.14
Release: alt1.M30.1

Summary: %patch_name - Linux kernel security fixes
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: kernel-build-tools >= 0.6-alt6
BuildRequires: kernel-build-tools >= 0.6-alt6

%source 45	2.4_45_moxa-int-overflow.patch	2.4
%source 46	2.4_46_random-poolsize.patch	2.4
%source 47	2.4_47_ppp_async.patch		2.4
%source 48	2.4_48_atm_get_addr.patch	2.4
%source 49	2.4_49_isofs-fixes.patch	2.4
%source 50	2.4_50_bluetooth-fix.patch	2.4
%source 51	2.4_51_ext2-infoleak.patch	2.4
%source 52	2.4_52_binfmt_elf.patch		2.4
%source 53	2.4_53-elf-coredump.patch	2.4

# kernel 2.6 patches

%source 2600030	2.6_00_030-moxa_user_copy_checking.patch	2.6
%source 2601	2.6_01_itimer-exit.patch			2.6
%source 2602	2.6_02_failed-keyring-oops.patch		2.6
%source 2603	2.6_03_key-session-join.patch			2.6
%source 2604	2.6_04_CAN-2005-2490.patch			2.6
%source 2605	2.6_05_CAN-2005-2492.patch			2.6
%source 2606	2.6_06_CAN-2005-2973.patch			2.6
%source 2607	2.6_07_CAN-2005-3179.patch			2.6
%source 2608	2.6_08_CAN-2005-3180.patch			2.6
%source 2609	2.6_09_CAN-2005-3181.patch			2.6


%description
Set of security-related patches.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1.M30.1
- Added:
  + 2.6_04_CAN-2005-2490.patch: fix cmsg copying from userspace
  + 2.6_05_CAN-2005-2492.patch: fix unchecked __get_user in IP raw sockets
  + 2.6_06_CAN-2005-2973.patch: fix possible infinite loop in ipv6
  + 2.6_07_CAN-2005-3179.patch: fix module parameter permissions in drm
  + 2.6_08_CAN-2005-3180.patch: fix information leak in orinoco driver
  + 2.6_09_CAN-2005-3181.patch: fix names_cache memory leak

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_02_failed-keyring-oops.patch: CAN-2005-2099
  + 2.6_03_key-session-join.patch: CAN-2005-2098

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_01_epoll.patch
  - 2.6_02_ppp_async.patch
  - 2.6_03_get_task_comm.patch
  - 2.6_04_isofs-fixes.patch
  - 2.6_05_bluetooth-fix.patch
  - 2.6_06_ext2-infoleak.patch
  - 2.6_07_binfmt_elf.patch
  - 2.6_08-elf-coredump.patch
  - 2.6_09_raw-ioctl.patch
  - 2.6_10_pktcdvd-ioctl.patch
- Added:
  + 2.6_01_itimer-exit.patch: CAN-2005-1913

* Sun May 15 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.15-alt1
- Added patches for 2.6:
  + 2.6_09_raw-ioctl.patch: fix user pointer validation in raw driver
  + 2.6_10_pktcdvd-ioctl.patch: fix user pointer validation in pktcdvd driver

* Wed May 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.11-alt1
- Added patches for 2.4:
  + 2.4_53-elf-coredump.patch: CAN-2005-1263
- Added patches for 2.6:
  + 2.6_08-elf-coredump.patch: CAN-2005-1263

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.4:
  + 2.4_49_isofs-fixes.patch: CAN-2005-0815
  + 2.4_50_bluetooth-fix.patch: CAN-2005-0750
  + 2.4_51_ext2-infoleak.patch: CAN-2005-0400
  + 2.4_52_binfmt_elf.patch: CAN-2005-0749
- Added patches for 2.6:
  + 2.6_04_isofs-fixes.patch: CAN-2005-0815
  + 2.6_05_bluetooth-fix.patch: CAN-2005-0750
  + 2.6_06_ext2-infoleak.patch: CAN-2005-0400
  + 2.6_07_binfmt_elf.patch: CAN-2005-0749

* Wed Mar 16 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.16-alt1
- Added patches for 2.4:
  + 2.4_47_ppp_async.patch: CAN-2005-0384
  + 2.4_48_atm_get_addr.patch: CAN-2005-0531
- Added patches for 2.6:
  + 2.6_02_ppp_async.patch: CAN-2005-0384
  + 2.6_03_get_task_comm.patch: avoid information leak through get_task_comm()

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_028-do_brk_security_fixes.patch
  - 2.6_00_029-random_poolsize_overflow.patch
  - 2.6_00_031-sg_scsi_ioctl_int_overflows.patch
  - 2.6_00_033-rlimit_memlock_check.patch
  - 2.6_00_034-stack_resize_exploit.patch
  - 2.6_00_035-do_brk_security_fixes-2.patch
  - 2.6_00_036-rlimit_memlock_check-2.patch
  - 2.6_00_025-track_dummy_capability.patch
  - 2.6_00_027-track_dummy_capability-2.patch
  - 2.6_01_copy_from_read_buf.patch
  - 2.6_02_proc_file_read.patch
  - 2.6_03_reiserfs-alt.patch
- Added:
  + 2.6_01_epoll.patch: epoll: return proper error on overflow condition

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Replaced all patches for 2.6 with equivalent patches from 2.6.10-as3:
  + 2.6_00_028-do_brk_security_fixes.patch
  + 2.6_00_029-random_poolsize_overflow.patch
  + 2.6_00_030-moxa_user_copy_checking.patch
  + 2.6_00_031-sg_scsi_ioctl_int_overflows.patch
  + 2.6_00_033-rlimit_memlock_check.patch
  + 2.6_00_034-stack_resize_exploit.patch
  + 2.6_00_035-do_brk_security_fixes-2.patch
  + 2.6_00_036-rlimit_memlock_check-2.patch
- Added patches from 2.6.10-as3:
  + 2.6_00_025-track_dummy_capability.patch
  + 2.6_00_027-track_dummy_capability-2.patch
- Added:
  + 2.6_01_copy_from_read_buf.patch: fix sign checks in copy_from_read_buf()
  + 2.6_02_proc_file_read.patch: fix signed compare in proc_file_read()
  + 2.6_03_reiserfs-alt.patch: use proper 64-bit clean types

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.26-alt1
- Updated for kernel 2.4.29.
- Removed obsolete patches:
  - 2.4_01_proc_tty_serial.patch
  - 2.4_32_tty-V8.patch
  - 2.4_35_exec-vma-overlap.patch
  - 2.4_36_binfmt_aout.patch
  - 2.4_38_cmsg.patch
  - 2.4_39_igmp.patch
  - 2.4_40_ip-options-leak.patch
  - 2.4_42_binfmt_elf.patch
  - 2.4_43_do_brk_locked.patch
  - 2.4_44_expand_stack.patch

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.08-alt1
- Added patches for 2.4:
  + 2.4_42_binfmt_elf.patch: check for zero program header on load_elf_interp()
  + 2.4_43_do_brk_locked.patch: CAN-2004-1235
  + 2.4_44_expand_stack.patch: CAN-2005-0001
  + 2.4_45_moxa-int-overflow.patch
  + 2.4_46_random-poolsize.patch
- Added patches for 2.6:
  + 2.6_01_do_brk_locked.patch: CAN-2004-1235
  + 2.6_02_expand_stack.patch: CAN-2005-0001
  + 2.6_03_moxa-int-overflow.patch
  + 2.6_04_random-poolsize.patch
  + 2.6_05_rlimit-memlock.patch
  + 2.6_06_scsi-int.patch

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated for kernel 2.4.28.
- Updated patches:
  + 2.4_32_tty-V8.patch: updated to V8
- Removed obsolete patches:
  - 2.4_13_panic.patch
  - 2.4_27_ppos-fixes-fix.patch
  - 2.4_28_smbfs.patch
  - 2.4_29_binfmt_elf.patch
  - 2.4_31_pc300_tty.patch
  - 2.4_33_termios-locking.patch
  - 2.4_34_set_termios.patch
  - 2.4_37_af_unix.patch
- Marked some more patches as conflicting with kernel-fix-security-owl (they
  are included in 2.4.28-ow1):
  - 2.4_35_exec-vma-overlap.patch
  - 2.4_36_binfmt_aout.patch

* Wed Dec 15 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.15-alt1
- Added:
  + 2.4_38_cmsg.patch: CAN-2004-1016
  + 2.4_39_igmp.patch
  + 2.4_40_ip-options-leak.patch

* Mon Nov 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.11.29-alt1
- Added:
  + 2.4_27_ppos-fixes-fix.patch: fixes for CAN-2004-0415 fixes
  + 2.4_28_smbfs.patch: CAN-2004-0883, CAN-2004-0949
  + 2.4_29_binfmt_elf.patch: isec-0017
  + 2.4_31_pc300_tty.patch: necessary updates for the tty-V5 patch
  + 2.4_32_tty-V5.patch: tty locking fixes
  + 2.4_33_termios-locking.patch: termios locking updates
  + 2.4_34_set_termios.patch: add back lost set_termios call
  + 2.4_35_exec-vma-overlap.patch: avoid DoS with invalid executable files
  + 2.4_36_binfmt_aout.patch: more error checks for a.out executables
  + 2.4_37_af_unix.patch: fix dgram read locking

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- updated for kernel 2.6.9
- removed obsolete patch:
    -2.6_01-nfs-fixes-2.6.8.1.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_17_fpu-exception.patch
   - 2.4_18_airo-fix.patch
   - 2.4_19_asus_acpi-fix.patch
   - 2.4_20_decnet-fix.patch
   - 2.4_21_mpu401-fix.patch
   - 2.4_22_msnd-fix.patch
   - 2.4_23_pss-fix.patch
   - 2.4_24_chown-DAC.patch
   - 2.4_25_ppos-fixes.patch
   - 2.4_26_CAN-2004-0685.patch

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.03-alt3
- Removed obsoleted patch:
    - 2.6_50_chown-DAC.patch
- Added:
    + 2.6_01-nfs-fixes-2.6.8.1.patch: nfs patch from linux-2.6.8.1

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.08.03-alt1
- Added:
  + 2.4_25_ppos-fixes.patch: CAN-2004-0415
  + 2.4_26_CAN-2004-0685.patch

* Mon Jun 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.28-alt1
- Added:
  + 2.4_24_chown-DAC.patch
  + 2.6_50_chown-DAC.patch

* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 2004.06.22-alt1
- removed 2.6 patches (included to mainstream 2.6.7)

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Added patches to fix CAN-2004-0495:
  + 2.4_18_airo-fix.patch
  + 2.4_19_asus_acpi-fix.patch
  + 2.4_20_decnet-fix.patch
  + 2.4_21_mpu401-fix.patch
  + 2.4_22_msnd-fix.patch
  + 2.4_23_pss-fix.patch
- Apply 2.4_13_panic.patch, 2.4_17_fpu-exception.patch, 2.4_18_airo-fix.patch,
  2.4_19_asus_acpi-fix.patch, 2.4_20_decnet-fix.patch only when
  kernel-fix-security-owl is not applied.

* Mon Jun 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt1
- Renamed 2.4.x patches with 2.4_ prefixes.
- Added:
  + 2.4_17_fpu-exception.patch, 2.6_50_fpu-exception.patch: fix FPU exception
    handling DoS

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches for old versions.

* Thu Apr 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.22-alt1
- Modified:
  + 14_msfilter.patch (fixed error path to return -EINVAL correctly).

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.20-alt1
- Added:
  + 13_panic.patch
  + 14_msfilter.patch

* Tue Apr 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.13-alt1
- Added:
  + 08_isofs-overflow.patch
  + 09_jfs-info-leak.patch
  + 10_ext3-info-leak.patch
  + 11_xfs-info-leak.patch

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt2
- Require kernel-build-tools >= 0.6-alt6.
- Removed apply script (kernel-build-tools-0.6-alt6 has all needed functions).

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added patches:
  + 06_owl-mmap-fixes.patch (backported from 2.4.23-ow2)
  + 07_rtc.patch (CAN-2003-0984)

* Wed Dec 31 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.31-alt1
- Added patches:
  + 05_mremap.patch (CAN-2003-0985)

* Sat Nov 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.29-alt1
- Added patches:
  + 03_do_brk.patch (CAN-2003-0961)
  + 04_do_page_fault.patch (from Ingo Molnar)

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Added patches:
  + 01_proc_tty_serial.patch (CAN-2003-0461)
  + 02_skb_padto_fixes.patch (CAN-2003-0001)
- Added back apply script (needed to avoid applying 01_proc_tty_serial.patch
  after owl patch - owl already includes these changes).

* Fri Nov 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2003.11.28-alt0
- Specfile cleanup

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.30-alt1
- added patches:
  + br_stp (CAN-2003-{0550,0551,0552})
  + execve (CAN-2003-0476)
  + proc (CAN-2003-{0461,0462,0501})
  + socketreuse (CAN-2003-0464)
- remixed apply script so execve and proc don\'t conflict with -owl patch.

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt2
- spec improvements: using %%source and %%install_patches macroses
- apply script removed

* Fri Jun 20 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.20-alt1
- removed ptrace patch.

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- mxcsr security hole (CAN-2003-0248) fix added

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.12-alt1
- remixed all the package

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.05-alt1
- updated for rc7 (don't apply 01_ptrace)

* Wed May 14 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt4
- updated for rc2 (don't apply 01_ptrace)

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt3
- version changed according the policy

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt3
- updated to rc1 (don't apply 01_ptrace)
- spec cosmetic changes

* Fri Apr 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt2
- spec improvemens according the policy
- don't apply 01_ptrace to 2.4.21pre7

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

